%global pkgvers 0
%global scdate0 20240611
%global schash0 d8203d83bbdb091f92a472893b55a7949091ea9e
%global branch0 master
%global source0 https://gerrit.osmocom.org/osmo-bsc.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           osmo-bsc
Version:        1.11.1
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        Base Station Controller for 2G mobile network.
License:        AGPLv3

URL:            https://osmocom.org/projects/osmobsc

BuildRequires:  git gcc make autoconf automake libtool doxygen systemd
BuildRequires:  sqlite-devel libpcap-devel cdk-devel libosmocore-devel
BuildRequires:  libosmo-abis-devel libosmo-netif-devel libosmo-sccp-devel
BuildRequires:  osmo-mgw-devel

%undefine _hardened_build
%undefine _annotated_build

%description
An Open Source BSC (GSM Base Station Controller) with A-bis/IP and A/IP interface.

%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
%global optflags %(echo %optflags | sed 's|-Wp,-D_GLIBCXX_ASSERTIONS||g')
sed -i 's|cdk/cdk.h|cdk.h|' configure.ac
sed -i 's|cdk/cdk.h|cdk.h|' src/utils/meas_vis.c
autoreconf -fi
%configure --enable-shared \
           --disable-static \
           --enable-manual

# Fix unused direct shlib dependency
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags} VERBOSE=0


%install
make install DESTDIR=%{buildroot}


%check
make check


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%doc %{_docdir}/%{name}
%doc README.md
%doc doc contrib
%license COPYING
%{_bindir}/*
%{_unitdir}/*
%config %{_sysconfdir}/*


%changelog
* Sun Aug 26 2018 Cristian Balint <cristian.balint@gmail.com>
- git update releases
